﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using C1.Win.C1FlexGrid.Classic;

namespace Prj_MaxIntegerInCell
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[] { new DataColumn("Id", typeof(Int32)), new DataColumn("Value", typeof(Int32))});
            dt.Rows.Add(new object[] { 1, 534});
            dt.Rows.Add(new object[] { 1, 34 });
            dt.Rows.Add(new object[] { 1, 923 });
            dt.Rows.Add(new object[] { 1, 9126 });
            c1FlexGridClassic1.DataSource = dt;

            c1FlexGridClassic1.Editable = EditableSettings.flexEDKbdMouse;

            TextBox txtBox = new TextBox();
            txtBox.TextAlign = HorizontalAlignment.Right;
            txtBox.TextChanged += TxtBox_TextChanged;
            c1FlexGridClassic1.ColumnCollection[2].Editor = txtBox;
        }

        private void TxtBox_TextChanged(object sender, EventArgs e)
        {
            TextBox txtBox = sender as TextBox;
            if (txtBox.Text != "")
            {
                try
                {
                    Convert.ToInt32(txtBox.Text);
                }
                catch
                {
                    MessageBox.Show("Please enter a valid value...");
                }
            }
        }
    }
}